package com.company.sample.view.customer;

import com.company.sample.entity.Customer;

import com.company.sample.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "customers/:id", layout = MainView.class)
@ViewController("Customer.detail")
@ViewDescriptor("customer-detail-view.xml")
@EditedEntityContainer("customerDc")
public class CustomerDetailView extends StandardDetailView<Customer> {
    public void setCustomerFirstName(String customerFirstName) {
        getEditedEntity().setFirstName(customerFirstName);
    }
}